/**
 * Copyright (c) www.longdw.com
*/
package com.ldw.listview.view;

import android.content.Context;
import android.util.AttributeSet;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.TextView;

import com.ldw.listview.R;
import com.ldw.listview.model.ContentItem;
import com.ldw.listview.model.Item;
import com.ldw.listview.model.ItemView;

public class ContentItemView extends RelativeLayout implements ItemView {
	
	private TextView titleTv;
	private TextView contentTv;
	private ImageView iv;
	
	public ContentItemView(Context context) {
        this(context, null);
    }

    public ContentItemView(Context context, AttributeSet attrs) {
        this(context, attrs, 0);
    }

    public ContentItemView(Context context, AttributeSet attrs, int defStyle) {
        super(context, attrs, defStyle);
    }

	@Override
	public void prepareItemView() {
		titleTv = (TextView) findViewById(R.id.content_title_tv);
		contentTv = (TextView) findViewById(R.id.content_tv);
		iv = (ImageView) findViewById(R.id.content_iv);
	}

	@Override
	public void setObject(Item object) {
		ContentItem item = (ContentItem) object;
		
		titleTv.setText(item.title);
		contentTv.setText(item.text);
		iv.setImageResource(item.drawableId);
	}

}
